# Test GCP Workload Identity Provider for Terraform Dynamic Credentials

This terraform code is a part of [GCP Workload Identity Federation for Terraform Cloud](../) blueprint. For instructions please refer to the blueprint [readme](../README.md).

The codebase provisions the following list of resources:

- GCS Bucket
<!-- BEGIN TFDOC -->

## Variables

| name | description | type | required | default |
|---|---|:---:|:---:|:---:|
| [project_id](variables.tf#L15) | GCP project ID. | <code>string</code> | ✓ |  |

<!-- END TFDOC -->
